Subject: Re: [PATCH v4] fsmonitor: implement filesystem change listener for Linux

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2026 07:42:14 -0800

Patrick Steinhardt <[email-masked]> writes:

> On Sat, Feb 21, 2026 at 09:07:52AM -0800, Junio C Hamano wrote:
>> Paul Tarjan <[email-masked]> writes:
>> 
>> > I'd prefer to take you up on the offer to send the meson support as a
>> > separate patch.
>> 
>> This part of your message is one thing we needed from you to unblock
>> ourselves, I guess.
>> 
>> Patrick, do you think you can help making this into two-patch
>> series, the original one being the [PATCH 1/2] and update for
>> meson-build in [PATCH 2/2]?
>
> The changes I sent should be sufficient, so I'd propose to just roll
> it into the v5 patch.
> ...
> By the way, I haven't yet done a full review of this patch, I only
> chimed in to help out with Meson. But I can have a deeper look once v5
> was sent out.

OK, so it is not quite clear to me who is doing the v5.  Is the
"offer to send the meson support as a separate patch" still valid,
or we expect Paul to squash in the earlier patch from you to prepare
the v5?

Thanks.